<?php
$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_bd71c3b5c201fc11db82ed" . "14ce424de5" => base64_decode("aW5fYXJyY" . "Xk="), "_74168d6a69480eb602cf8d" . "6006121f5d" => base64_decode("Q1N" . "W"), "_978bdb9fa2dd8b7" . "85198205373a4835" . "7" => base64_decode("WE1" . "M"), "_50a895dc4e2369e6a583ce435de" . "5021e" => base64_decode("SWxsZWdhbCBtZXRhZGF0YSBleHBvcnQ" . "gdHlwZQ=="));




abstract class DocsExportMDCollector extends ErrorHandler
{
    const VERSION = "2.0.beta";
    const MD_EXPORT_CSV = 1;
    const MD_EXPORT_XML = 2;
    protected $export_type;
    
    
    
    
    protected $filesystem;
    
    
    
    
    
    
    
    
    
    public function __construct($_15b39d41c7ebda85defbd0d1cc3183cc)
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_bd71c3b5c201fc11db82ed" . "14ce424de5"]($_15b39d41c7ebda85defbd0d1cc3183cc, array(self::MD_EXPORT_CSV, self::MD_EXPORT_XML))) {
            throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_50a895dc4e2369e6a583ce435de502" . "1e"]);
        }
        $this->export_type = $_15b39d41c7ebda85defbd0d1cc3183cc;
        return true;
    }
    
    
    
    
    
    public function Init(ERMSObject $_086956552503aa7ee69fdf9ad8441e56)
    {
        return true;
    }
    
    
    
    
    
    public function Close()
    {
        return true;
    }
    
    
    
    
    
    
    public function SetRemoteFilesystem(RemoteFilesystem $_33eb931581b031fdb2a1937880fb89cd)
    {
        $this->filesystem = $_33eb931581b031fdb2a1937880fb89cd;
        return true;
    }
    
    
    
    
    
    public function GetExportType()
    {
        return $this->export_type;
    }
    
    
    
    
    
    
    public static function GetExportTypes()
    {
        return array(self::MD_EXPORT_XML => $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_978bdb9fa2" . "dd8b7851982" . "05373a48357"], self::MD_EXPORT_CSV => $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_74168d6a" . "69480eb60" . "2cf8d6006" . "121f5d"]);
    }
    
    
    
    
    public abstract function GetFolderMDExporter();
    
    
    
    
    public abstract function GetDocumentMDExporter();
    
    
    
    
    public abstract function SaveFolderMD(DocsExportFolderMDExporter $_d87c1a85615d0b67be8af312e25473f6, $path);
    
    
    
    
    public abstract function SaveDocumentMD(DocsExportDocumentMDExporter $_d87c1a85615d0b67be8af312e25473f6, $path);
}